clang 10.0.0git

Static Public Member Functions | List of all members
llvm::DenseMapInfo< clang::ProgramPoint > Struct Template Reference

`#include "clang/Analysis/ProgramPoint.h"`

## Static Public Member Functions
static clang::ProgramPoint | getEmptyKey ()
static clang::ProgramPoint | getTombstoneKey ()
static unsigned | getHashValue (const clang::ProgramPoint &Loc)
static bool | isEqual (const clang::ProgramPoint &L, const clang::ProgramPoint &R)

## Detailed Description

### template<>
struct llvm::DenseMapInfo< clang::ProgramPoint >

Definition at line 754 of file ProgramPoint.h.

## Member Function Documentation

## ◆ getEmptyKey()

static clang::ProgramPoint llvm::DenseMapInfo< clang::ProgramPoint >::getEmptyKey | ( |  | ) |
| inline static

Definition at line 756 of file ProgramPoint.h.

## ◆ getHashValue()

static unsigned llvm::DenseMapInfo< clang::ProgramPoint >::getHashValue | ( | const clang::ProgramPoint & | Loc | ) |
| inline static

Definition at line 768 of file ProgramPoint.h.

References clang::ProgramPoint::getHashValue().

## ◆ getTombstoneKey()

static clang::ProgramPoint llvm::DenseMapInfo< clang::ProgramPoint >::getTombstoneKey | ( |  | ) |
| inline static

Definition at line 762 of file ProgramPoint.h.

## ◆ isEqual()

static bool llvm::DenseMapInfo< clang::ProgramPoint >::isEqual | ( | const clang::ProgramPoint & | L,
|  | const clang::ProgramPoint & | R
| ) |  |
| inline static

Definition at line 772 of file ProgramPoint.h.

The documentation for this struct was generated from the following file:

- include/clang/Analysis/ProgramPoint.h